Bug 22960 - anaconda failing on win98/win2k dual boot
anaconda failing on win98/win2k dual boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-28 16:16 EST by William van der Sterren
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 19:50:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William van der Sterren 2000-12-28 16:16:30 EST
RH7.0 install crashes after assigning a volume to mount to. Crash occurs 
when using gui or text install, diskdruid or fdisk. A kickstart install 
with "lilo none" also fails.
Installing using the 2000/10/20 anaconda update ( 
http://www.redhat.com/support/errata/RHBA-2000-084-04.html ) still 
resulted in crashes.
 
Disk info:
30GB Maxtor IDE master:
- hda1 FAT32 Win98 Boot, 2.5GB
- hda2 ext2        to become /, 4 GB
-- within 1024 cylinders
- hda3 
- hda5 swap
- hda6 FAT32
- hda7 FAT32
- hda8 NTFS

20GB Maxtor IDE slave
- hdb1 NTFS Win2K
- hdb2 
- hdb5 NTFS
- hdb6 FAT32

The same problem occurred when trying to install RH6.2. RH6.0 installed 
just fine.

Win2k reportedly adjusts the hda boot sector to provide a dual-boot prompt.

William
Comment 1 Michael Fulbright 2001-01-09 17:58:18 EST
Would you please attach the output from the installer when it crashes?
Comment 2 William van der Sterren 2001-01-10 15:20:00 EST
I'd like to collect more info, but the install script does a "install exited 
abnormally - recieved signr 11" (and proceeds to shutdown and halt, which 
complicates matters). This happens upon "OK"-ing the "/" mount point on /hda2.

If you can direct me how to mount any of the vfat partitions or floppy from a 
second window during the installation, I can copy whatever log file you need to 
such a drive.

I tested the machines memory thoroughly, and haven't overclocked the CPU.
Comment 3 Michael Fulbright 2001-01-26 17:32:35 EST
Could you try this:

- goto VC2 once the installer is loaded (when you see the welcome to red hat
linux screen).

- type 'mknod /tmp/hda'

- type 'fdisk -l /tmp/hda' and attach the output.

Thanks!
Comment 4 Michael Fulbright 2001-02-23 12:28:59 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.